Get a service specification

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/serviceCatalogManagement/v3/serviceSpecification/{id}

Returns the service specification that matches the specified ID, including its configured details.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The service specification was returned successfully.
Body ()
Root Schema : ServiceSpecificationOracle
Title: ServiceSpecificationOracle
Match All
Show Source
  • ServiceSpecification
    Title: ServiceSpecification
    Discriminator: { "propertyName":"@type", "mapping":{ "ServiceSpecification":"#/components/schemas/ServiceSpecification", "ServiceSpecificationOracle":"#/components/schemas/ServiceSpecificationOracle" } }
    The serviceSpecification is a class that offers characteristics to describe a type of service. Functionally, it acts as a template by which Services may be instantiated. By sharing the same specification, these services would therefore share the same set of characteristics.
  • type
Nested Schema : ServiceSpecification
Type: object
Title: ServiceSpecification
Discriminator: @type

Discriminator Values

The serviceSpecification is a class that offers characteristics to describe a type of service. Functionally, it acts as a template by which Services may be instantiated. By sharing the same specification, these services would therefore share the same set of characteristics.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a service specification by submitting a GET request on the REST resource using cURL.

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/serviceCatalogManagement/v3/serviceSpecification/Serv_Spec_132

Example of Response Body

The following shows an example of the response body.

{
    "id": "SS-TXT-ROAMING",
    "name": "Text Roaming SS",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/serviceCatalogManagement/v3/serviceSpecification/SS-TXT-ROAMING",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "created": "2025-01-20T13:24:50.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T10:57:47.009Z",
    "lastUpdatedBy": "booth",
    "isBundle": false,
    "@type": "ServiceSpecificationOracle",
    "validFor": {
        "startDateTime": "2024-09-03T00:00:00.000Z"
    },
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "serviceCode": "/service/telco/gsm/sms"
}
Back to Top